.footer {
    background-color: #222;
    color: white;
    padding: 20px 0px 5px 0px;
}

.footer .container {
    max-width: 1200px;
    margin: auto;
    padding: 0px 50px;
}

 .footer-content {
    display: grid;
    grid-template-columns: repeat(3, 1fr); 
    gap: 20px;
}

.footer-column {
    flex: 1;
    min-width: 170px;
    width: 20.5%;
    max-width: 220px;
}
.footer-column h2 {
    font-size: 1.1rem;
    margin-bottom: 10px;
    color: #919191;
}
.footer-column p{
    margin-bottom: 10px;
    margin-top: 2.2rem;
    font-size: 13px;
    line-height: 1.4rem;
}
.footer-column .btn {
    display: inline-block;
    background: #ff6600;
    color: #fff;
    padding: 5px 0px;
    border-radius: 5px;
    font-weight: bold;
    text-align: center;
    transition: background 0.3s ease;
  }
  
.footer-column .btn:hover {
    background: #e65c00;
  }

.footer-links {
    list-style: none;
    padding: 0;
}
.footer-logo {
    text-align: center;
}
.footer-column img{
    width: auto;
    height: 150px;      
    object-fit: contain; 
    border-radius: 100%;
    margin-bottom: 20px;
}

.footer-links li {
    margin-bottom: 15px;
}
.footer-links a {
    color: white;
    text-decoration: none;
    font-size: 11px;
    display: block;
}

.footer-links a:hover {
    text-decoration: underline;
}

.footer-social {
    display: flex;
    gap: 10px;
    margin-top: 10px;
}

.footer-social a img {
    width: 24px;
    height: 24px;
}

.footer-bottom {
    text-align: center;
    margin-top: 20px;
    border-top: 1px solid #444;
    padding-top: 5px;
    font-size: 0.9rem;
}

/* Responsive Design */
@media (max-width: 768px) {
    .footer-content {
        flex-direction: column;
        /* text-align: center; */
    }

    .footer-social {
        justify-content: center;
    }
} 
/* Responsive Breakpoints */
@media (max-width: 824px) {
    .footer-content {
        grid-template-columns: repeat(3, 1fr); /* 3 columns */
    }
}

@media (max-width: 668px) {
    .footer-content {
        grid-template-columns: repeat(2, 1fr); /* 2 columns */
    }
    .footer-column p{
        margin-top: 1rem;
    }
}

@media (max-width: 480px) {
    .footer-content {
        grid-template-columns: repeat(1, 1fr); /* 1 column */
        text-align: center;
        margin-left: 25%;
        margin-right: 25%;
    }
    .footer-column {
        justify-content: center;
        align-items: center;
    }
    .footer-social {
        justify-content: center;
    }
}